libzypp: zyppng::AttachedSyncMediaInfo Class Reference

libzypp 17.36.6

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
zyppng::AttachedSyncMediaInfo Class Reference
Inheritance diagram for zyppng::AttachedSyncMediaInfo:

## Public Member Functions
| AttachedSyncMediaInfo (MediaSyncFacadeRef parentRef, zypp::media::MediaAccessId mediaId, zypp::Url baseUrl, ProvideMediaSpec mediaSpec, const zypp::Pathname &locPath)
zypp::media::MediaAccessId | mediaId () const
const ProvideMediaSpec & | spec () const
const zypp::Url & | url () const
const std::optional< zypp::Pathname > & | rootPath () const
MediaSyncFacadeRef | parent () const
bool | isSameMedium (const std::vector< zypp::Url > &urls, const ProvideMediaSpec &spec)
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.

## Protected Member Functions
void | unref_to (unsigned int) const override
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize std::ostream & operator<<.
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.

## Private Attributes
zypp::media::MediaAccessId | _id
zypp::Url | _attachedUrl
ProvideMediaSpec | _spec
MediaSyncFacadeRef | _parent
std::optional< zypp::Pathname > | _localPath

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
Related Symbols inherited from zypp::base::ReferenceCounted
void | intrusive_ptr_add_ref (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to add_ref.
void | intrusive_ptr_release (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to release.
std::ostream & | operator<< (std::ostream &str, const ReferenceCounted &obj)
| Stream output.

## Detailed Description

Definition at line 21 of file mediafacade.cc.

## Constructor & Destructor Documentation

## ◆ AttachedSyncMediaInfo()

zyppng::AttachedSyncMediaInfo::AttachedSyncMediaInfo | ( | MediaSyncFacadeRef | parentRef,
|  | zypp::media::MediaAccessId | mediaId,
|  | zypp::Url | baseUrl,
|  | ProvideMediaSpec | mediaSpec,
|  | const zypp::Pathname & | locPath )

Definition at line 53 of file mediafacade.cc.

## Member Function Documentation

## ◆ mediaId()

zypp::media::MediaAccessId zyppng::AttachedSyncMediaInfo::mediaId | ( |  | ) | const

Definition at line 61 of file mediafacade.cc.

## ◆ spec()

const ProvideMediaSpec & zyppng::AttachedSyncMediaInfo::spec | ( |  | ) | const

Definition at line 66 of file mediafacade.cc.

## ◆ url()

const zypp::Url & zyppng::AttachedSyncMediaInfo::url | ( |  | ) | const

Definition at line 71 of file mediafacade.cc.

## ◆ rootPath()

const std::optional< zypp::Pathname > & zyppng::AttachedSyncMediaInfo::rootPath | ( |  | ) | const

Definition at line 76 of file mediafacade.cc.

## ◆ parent()

MediaSyncFacadeRef zyppng::AttachedSyncMediaInfo::parent | ( |  | ) | const

Definition at line 81 of file mediafacade.cc.

## ◆ isSameMedium()

bool zyppng::AttachedSyncMediaInfo::isSameMedium | ( | const std::vector< zypp::Url > & | urls,
|  | const ProvideMediaSpec & | spec )

Returns true if other requests the same medium as this instance

Definition at line 86 of file mediafacade.cc.

## ◆ unref_to()

void zyppng::AttachedSyncMediaInfo::unref_to | ( | unsigned int | count | ) | const
| overrideprotected

Definition at line 96 of file mediafacade.cc.

## Member Data Documentation

## ◆ _id

zypp::media::MediaAccessId zyppng::AttachedSyncMediaInfo::_id
| private

Definition at line 44 of file mediafacade.cc.

## ◆ _attachedUrl

zypp::Url zyppng::AttachedSyncMediaInfo::_attachedUrl
| private

Definition at line 45 of file mediafacade.cc.

## ◆ _spec

ProvideMediaSpec zyppng::AttachedSyncMediaInfo::_spec
| private

Definition at line 46 of file mediafacade.cc.

## ◆ _parent

MediaSyncFacadeRef zyppng::AttachedSyncMediaInfo::_parent
| private

Definition at line 47 of file mediafacade.cc.

## ◆ _localPath

std::optional<zypp::Pathname> zyppng::AttachedSyncMediaInfo::_localPath
| private

Definition at line 48 of file mediafacade.cc.

The documentation for this class was generated from the following file:

- zypp/ng/workflows/mediafacade.cc